Main Page Class Hierarchy Compound List File List Compound Members File Members

# Awindow Class Reference

`#include <window.h>`

Inheritance diagram for Awindow::

List of all members.

## Public Methods
virtual ACI * | getCI ()
ADLL | Awindow (char *name, int x, int y, int w, int h, bool useBlend=false)
ADLL | Awindow (char *name, HWND hwFather, int x, int y, int w, int h, bool useBlend=false)
virtual ADLL | ~Awindow ()
virtual ADLL void | repaint (bool now=FALSE)
virtual ADLL void | repaint (Arectangle r, bool now=FALSE)
virtual bool | notify (Anode *o, int event, dword p=0)
virtual ADLL bool | show (bool visible)
virtual ADLL bool | zorder (int action)
virtual ADLL bool | move (int x, int y)
virtual ADLL bool | size (int w, int h)
virtual ADLL bool | mouseCapture (bool b, Aobject *o=NULL)
virtual ADLL bool | focus (Aobject *o=NULL)
virtual ADLL void | del (Anode *o)
virtual ADLL dword | NCnotify (dword m, dword wp, dword lp)
## Static Public Methods
int | NCmessageLoop ()
void | NCasyncNotify (class asyncMessage *am)
void | NCclearAll ()
## Public Attributes
HWND | hwFather
HWND | hw
int | mouseX
int | mouseY
int | mouseTime
int | mouseState
Aobject * | objectTrack
Asection | updateSection
bool | inUpdate
Aobject * | keyboardFocusOBJ
HDC | hdc
HBITMAP | hbm
bool | useBlend
## Static Public Attributes
ADLL ACI | CI
## Protected Methods
virtual ADLL bool | NCmouse (int x, int y, int state, int event)
## Protected Attributes
Aobject * | mouseCaptureOBJ

## Constructor & Destructor Documentation

ADLL Awindow::Awindow | ( | char * | name,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | useBlend = false
| ) |

ADLL Awindow::Awindow | ( | char * | name,
|  | HWND | hwFather,
|  | int | x,
|  | int | y,
|  | int | w,
|  | int | h,
|  | bool | useBlend = false
| ) |

virtual ADLL Awindow::~Awindow | ( |  | ) | `[virtual]`

## Member Function Documentation

void Awindow::NCasyncNotify | ( | class asyncMessage * | am | ) | `[static]`

void Awindow::NCclearAll | ( |  | ) | `[static]`

int Awindow::NCmessageLoop | ( |  | ) | `[static]`

virtual ADLL bool Awindow::NCmouse | ( | int | x,
|  | int | y,
|  | int | state,
|  | int | event
| ) | `[protected, virtual]`

| Reimplemented from Aobject.

virtual ADLL dword Awindow::NCnotify | ( | dword | m,
|  | dword | wp,
|  | dword | lp
| ) | `[virtual]`

virtual ADLL void Awindow::del | ( | Anode * | o | ) | `[virtual]`

| Reimplemented from Anode.

virtual ADLL bool Awindow::focus | ( | Aobject * | o = NULL | ) | `[virtual]`

| Reimplemented from Aobject.

virtual ACI* Awindow::getCI | ( |  | ) | `[inline, virtual]`

| Reimplemented from Aobject.

virtual ADLL bool Awindow::mouseCapture | ( | bool | b,
|  | Aobject * | o = NULL
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL bool Awindow::move | ( | int | x,
|  | int | y
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual bool Awindow::notify | ( | Anode * | o,
|  | int | event,
|  | dword | p = 0
| ) | `[inline, virtual]`

| Reimplemented from Anode.

virtual ADLL void Awindow::repaint | ( | Arectangle | r,
|  | bool | now = FALSE
| ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL void Awindow::repaint | ( | bool | now = FALSE | ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL bool Awindow::show | ( | bool | visible | ) | `[virtual]`

| Reimplemented from Aobject.

virtual ADLL bool Awindow::size | ( | int | w,
|  | int | h
| ) | `[virtual]`

| Reimplemented from Asurface.

virtual ADLL bool Awindow::zorder | ( | int | action | ) | `[virtual]`

| Reimplemented from Aobject.

## Member Data Documentation

ADLL ACI Awindow::CI`[static]`

| Reimplemented from Aobject.

HBITMAP Awindow::hbm

HDC Awindow::hdc

HWND Awindow::hw

HWND Awindow::hwFather

bool Awindow::inUpdate

Aobject* Awindow::keyboardFocusOBJ

Aobject* Awindow::mouseCaptureOBJ`[protected]`

int Awindow::mouseState

int Awindow::mouseTime

int Awindow::mouseX

int Awindow::mouseY

Aobject* Awindow::objectTrack

class Asection Awindow::updateSection

bool Awindow::useBlend

The documentation for this class was generated from the following file:

- window.h